Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6803 - boot.img RHEA-44 fails to upgrade RH5.1 system, python fails
Summary: boot.img RHEA-44 fails to upgrade RH5.1 system, python fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-07 20:42 UTC by jelson
Modified: 2015-01-07 23:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-09 15:39:31 UTC


Attachments (Terms of Use)

Description jelson 1999-11-07 20:42:02 UTC
I have a RedHat 5.1 system which is more or less stock,
except that it is running Kernel v2.2.x (with the
kernel-2.2 updates for RH5.1 installed).

I am now trying to upgrade this system to RH6.1 using an
RH6.1 CD that I burned myself by copying a store-bought
RH6.1 CD.  I had this failure using the original boot.img,
then tried the RHEA-44 boot.img when it came out (plus
the same CD) and am still having the same problem.

I choose text-mode upgrade from the boot loader; Linux
boots and loads the ncr53c8xx driver for my SCSI
controller.  (I am loading Linux onto an IDE drive; the
SCSI controller only has my backup drive on it.)  I choose
"Upgrade existing installation", after which the installer
tells me it is reading package info, then tells me that
it is "Finding packages to upgrade...".  After this, the
installer crashes giving me the following traceback
(copied by hand, there may be errors):

Traceback (innermost last):
	File "/usr/bin/anaconda", line 255 in ?
		intf.run(todo, test = test)
	File
"../../RedHat/instimage/usr/lib/python1.5/site-packages/text
.py",
	line 1000, in run
		rc = apply(step[1](), step[2])
	File "text.py", line 251, in __call__
		todo.upgradeFindPackages(root)
	File "todo.py" line 1147, in upgradeFindPackages
		self.getCompsList()
	File "todo.py" line 943 in getCompsList
		self.comps =
self.method.readComps(self.hdList)
	File "image.py" line 8 in readComps
		return ComponentSet(self.tree +
'/Redhat/base/comps', hdlist)
	File "comps.py" line 272 in __init__
		self.readCompsFile(file, self.packages)
	File "comps.py" line 245 in readCompsFile
		comp.addPackage(packages[l])
	File "comps.py" line 44 in __getitem__
		return self.packages[item]
	KeyError: basesystem

The /etc/fstab on my system looks like this:

/dev/hda1  /  ext2 defaults
/dev/hda7  /tmp  ext2 defaults
/dev/hda5  /usr  ext2 defaults
/dev/hda6  swap  swap  defaults
/dev/fd0   /mnt/floppy  ext2  noauto
/dev/cdrom  /mnt/cdrom  iso9660  noauto.ro
none       /proc proc defaults

Comment 1 Jay Turner 1999-11-09 15:39:59 UTC
Sounds like you did not get a complete copy when you made yours.  The
KeyError that you are getting is Python telling you that it has no
clue what "basesystem" is (much like an undefinied variable)  I would
recommend making another copy of the store-bought cdrom and then
verifying (via md5 sums for example) that the copy is a true duplicate
of the store-bought one.

Reopen this bug if you continue to have problems.


Note You need to log in before you can comment on or make changes to this bug.